"use client";

// src/use-kbd.ts
import { mapPropsVariants } from "@nextui-org/system";
import { kbd } from "@nextui-org/theme";
import { useDOMRef } from "@nextui-org/react-utils";
import { clsx } from "@nextui-org/shared-utils";
import { useMemo } from "react";
import { mergeProps } from "@react-aria/utils";
function useKbd(originalProps) {
  const [props, variantProps] = mapPropsVariants(originalProps, kbd.variantKeys);
  const { ref, as, children, className, keys, title, classNames, ...otherProps } = props;
  const Component = as || "kbd";
  const domRef = useDOMRef(ref);
  const slots = useMemo(
    () => kbd({
      ...variantProps
    }),
    [...Object.values(variantProps)]
  );
  const baseStyles = clsx(classNames == null ? void 0 : classNames.base, className);
  const keysToRender = typeof keys === "string" ? [keys] : Array.isArray(keys) ? keys : [];
  const getKbdProps = (props2 = {}) => ({
    ref: domRef,
    ...mergeProps(otherProps, props2),
    className: clsx(slots.base({ class: clsx(baseStyles, props2.className) }))
  });
  return { Component, slots, classNames, title, children, keysToRender, getKbdProps };
}

export {
  useKbd
};
